## org.apache.bcel.util
Class ClassVector

    java.lang.Object
      org.apache.bcel.util.ClassVector

All Implemented Interfaces:
  Serializable

Deprecated. as of 5.1.1 - 7/17/2005

    public class ClassVector

extends Object
implements Serializable

Utility class implementing a (typesafe) collection of JavaClass objects. Contains the most important methods of a Vector.

Version:
  $Id: ClassVector.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary
`protected List` `vec` Deprecated.

Constructor Summary
`ClassVector()` Deprecated.

Method Summary
`void` `addElement(JavaClass clazz)` Deprecated.
`JavaClass` `elementAt(int index)` Deprecated.
`void` `removeElementAt(int index)` Deprecated.
`JavaClass[]` `toArray()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vec

    protected List vec

  Deprecated.

Constructor Detail

### ClassVector

    public ClassVector()

  Deprecated.

Method Detail

### addElement

    public void addElement(JavaClass clazz)

  Deprecated.

### elementAt

    public JavaClass elementAt(int index)

  Deprecated.

### removeElementAt

    public void removeElementAt(int index)

  Deprecated.

### toArray

    public JavaClass[] toArray()

  Deprecated.

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.